# Contributing to Attendize
You'd like to contribute to Attendize? Amazing! Thank you so much! Feel free to fork and contribute. If you are unsure about adding a feature, please create a Github issue to ask for feedback.

## Ways to Contribute

### Bug Reports
If you encounter a bug in Attendize, please first search the list of current open [Issues on the GitHub repository](https://github.com/Attendize/Attendize/issues). You may add additional feedback on an existing bug report. If the issue you're having has not yet been reported, please open a new issue. There is a template available for new issues. Please fill out all information requested in the template so we can help you more easily.

### Support
Please note: support is not offered from the project maintainers through GitHub. Paid support is available by [purchasing a license](http://www.attendize.com/license.html). You may submit support requests in a GitHub issue to see if someone in the community is able to offer help or advice. Support issues will be automatically closed after 7 days to keep the size of the issues list down.

### Pull Requests
If you'd like to contribute code with a bug fix, new feature or enhancement, please do so via a [pull request](https://help.github.com/en/github/collaborating-with-issues-and-pull-requests/creating-a-pull-request-from-a-fork). Adding details in the PR description about what your changes are and why you implemented will help us to review and merge it sooner. Please ensure you add or update the tests along with your changes, as well as documentation if it's applicable.

### Tests and Documentation
Contributions of tests and documentation are always welcome too!

### Comments, Feedback and Reviews
If you're able to provide comments, feedback or reviews on the issues or pull requests from other users, that is greatly appreciated too! The more feedback and input the change receives, the better it will be, so this helps us a lot and helps the community too!

## Licensing
Any code, tests or documention you decide to contribute will become part of the Attendize code base and will be subject to the [standard license](LICENSE).

## Code of Conduct
Being part of the Attendize community and contributing to that community includes abiding by our [Code of Conduct](CODE_OF_CONDUCT.md)